## dtlsdec dtlsdec |

## Properties

gchar * | connection-id | Read / Write
GstCaps * | decoder-key | Read
gchar * | peer-pem | Read
gchar * | pem | Read / Write
guint | srtp-auth | Read
guint | srtp-cipher | Read

## Signals

void | on-key-received | Run Last

## Types and Values

struct | GstDtlsDec

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GstObject
                ╰── GstElement
                    ╰── GstDtlsDec

## Description

## Synopsis

### Element Information

plugin | dtls
author | Patrik Oldsberg patrik.oldsberg@ericsson.com
class | Decoder/Network/DTLS

### Element Pads

name | sink
direction | sink
presence | always
details | application/x-dtls

name | src
direction | source
presence | request
details | ANY

## Functions

## Types and Values

### struct GstDtlsDec

    struct GstDtlsDec;

## Property Details

### The `“connection-id”` property

      “connection-id”            gchar *

Every encoder/decoder pair should have the same, unique, connection-id.

Flags: Read / Write

Default value: NULL

### The `“decoder-key”` property

      “decoder-key”              GstCaps *

SRTP key that should be used by the decoder.

Flags: Read

### The `“peer-pem”` property

      “peer-pem”                 gchar *

The X509 certificate received in the DTLS handshake, in PEM format.

Flags: Read

Default value: NULL

### The `“pem”` property

      “pem”                      gchar *

A string containing a X509 certificate and RSA private key in PEM format.

Flags: Read / Write

Default value: NULL

### The `“srtp-auth”` property

      “srtp-auth”                guint

The SRTP authentication selected in the DTLS handshake. The value will be set to an GstDtlsSrtpAuth.

Flags: Read

Allowed values: <= 2

Default value: 0

### The `“srtp-cipher”` property

      “srtp-cipher”              guint

The SRTP cipher selected in the DTLS handshake. The value will be set to an GstDtlsSrtpCipher.

Flags: Read

Allowed values: <= 1

Default value: 0

## Signal Details

### The `“on-key-received”` signal

    void
    user_function (GstDtlsDec *gstdtlsdec,
                   gpointer    user_data)

Flags: Run Last